@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex mb-3">
        <div>Lobbies: Add New</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('lobbies-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h3>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/lobby/create">
        <input type="hidden" name="_success" value="{{route('lobbies-index')}}">
        <input type="hidden" name="_return" value="{{route('lobbies-add_new')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Name</label>
<input class='form-control' type='text' name='name' value='{{ old('name') ? old('name') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Url Slug</label>
<input class='form-control' type='text' name='urlSlug' value='{{ old('urlSlug') ? old('urlSlug') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Is Stranger Accessible</label>
<input class='form-control' type='boolean' name='isStrangerAccessible' value='{{ old('isStrangerAccessible') ? old('isStrangerAccessible') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Is Client Accessible</label>
<input class='form-control' type='boolean' name='isClientAccessible' value='{{ old('isClientAccessible') ? old('isClientAccessible') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('lobbies-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
