@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex mb-3">
        <div>Meetings: Add New</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('meetings-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h3>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/meeting/createAsProPerformer">
        <input type="hidden" name="_success" value="{{route('meetings-index')}}">
        <input type="hidden" name="_return" value="{{route('meetings-add_new')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Lobby</label>
<select class='form-control' name='lobbyUid' value='{{ old('lobbyUid') ? old('lobbyUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('lobby')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('lobbyUid') ? old('lobbyUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->name ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Target Lobby Pro</label>
<select class='form-control' name='targetLobbyProUid' value='{{ old('targetLobbyProUid') ? old('targetLobbyProUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('lobby_pro')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('targetLobbyProUid') ? old('targetLobbyProUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->uid ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Title</label>
<input class='form-control' type='text' name='title' value='{{ old('title') ? old('title') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name</label>
<input class='form-control' type='text' name='name' value='{{ old('name') ? old('name') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Picture Base 64</label>
<input class='form-control' type='text' name='pictureBase64' value='{{ old('pictureBase64') ? old('pictureBase64') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('meetings-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
